#ifndef _SK_CORNER_DECT_H_
#define _SK_CORNER_DECT_H_

#include "skMatrix.h"
#include "susan2j.h"

extern const char g_pchSusanParamName[];
extern const char g_pchSusanWorkDir[];

class SkSusanParam
{
public:
	int m_nMode;
	float m_fDistance;
	int m_nBrightnessStart;
	int m_nBrightnessEnd;
	int m_nBrightnessStep;
public:
	SkSusanParam();
	int read(const char *name);
	int save(const char *name);
};

int  skSusanEdgeCornerDetection(const char *pchImgName);
void skSusanEdgeCornerDetection(Matrix<uchar> &raster, int mode, const float distance, const int brightness);

#endif