#ifndef _SK_OUTPUT_H_
#define _SK_OUTPUT_H_

#include <stdio.h>
#include <string.h>

class SkOutput
{
private:
	char m_msg[5*1024*1024];//5 MBytes
public:
	SkOutput() {sprintf(m_msg, "");}
	~SkOutput() {}
	const char * append(const char *msg){strcat(m_msg, msg); return m_msg;}
	int save(const char* name)
	{
		FILE *pFile;
		pFile = fopen(name, "w");
		if (pFile == 0)
			return 1;
		fprintf(pFile, "%s", m_msg);
		fclose(pFile);
		return 0;
	}

};

extern SkOutput g_skOutput;

inline int skOutput(const char *msg)
{
	printf(msg);
	return 0;
}
inline int skOutput2File(const char *msg)
{
	g_skOutput.append(msg);
	return 0;
}

inline int skSaveOutputFile(const char *name)
{
	g_skOutput.save(name);
	return 0;
}
#endif