#ifndef _SK_CLUSTERING_H_
#define _SK_CLUSTERING_H_

int skMeanShiftClustering1D(double *pdData, int nNum, double dWindowSize, int *pnClusterIndex, double *pdClusterCenter);
int skKMeanCluster(double *pdData, int nDim, int nNum, double *pdWeight, double *pdCC, int &nClusterNum, int nMaxClusterNum, int *pnCluster);
int skRobustCluster(double *pdData, int nDim, int nNum, double *pdWeight, double *pdCC, int nMaxClusterNum, int nMinClusterSize, double dMinClusterDisRate, int *pnCluster);
double skEuclidianDistance(double *pData1, double *pData2, int nDim, double *pdWeight);
int skUpdateClusterCenter(double *pdData, int nDim, int nNum, double *pdCC, int nClusterNum, int *pnCluster);
int skAssignSample2Cluster(double *pdData, int nDim, int nNum, double *pdWeight, double *pdCC, int nClusterNum, int *pnCluster);

int skRobustClusterTCA(double *pdData, int nDataDim, int nNum, double *pdWeight, 
					int nMaxClusterNum, int nMinClusterSize, double dMinClusterDisRate, int nClusterDim, 
					double *pdCC, int *pnCluster, int *pnOffset);
int skAssignSample2ClusterTCA(double *pdData, int nDataDim, int nNum, double *pdWeight, 
						   double *pdCC, int nClusterDim, int nClusterNum, int *pnCluster, int *pnOffset);

int skUpdateClusterCenterTCA(double *pdData, int nDataDim, int nNum,
						   double *pdCC, int nClusterDim, int nClusterNum, int *pnCluster, int *pnOffset);


#endif