#ifndef _SK_SKETCH_REFINE_H_
#define _SK_SKETCH_REFINE_H_

class SkSketchRefineParam
{
public:
	double m_dProfileStdTh;//profile standard deviation threshold to be a sketch
	double m_dProjTh;//projection threshold set the second sketch as a true one
	int m_dPrflVarTh;//profile variance
public:
	SkSketchRefineParam();
	~SkSketchRefineParam();
	int read(const char *name);
	int save(const char *name);
};

int skSketchRefine(const char *pchImgName);
int skSketchRefine(SkSketchGraph &sketchGraph, //the sketch graph
				   SkSketchRefineParam& param, //the parameters
				   Matrix<float> &imgOrg, //orignal image, normalized to zero mean, unit variance
				   double dImgMean, double dImgStd, //mean and std of original image
				   const char *pchProjName, //project name
				   const char *pchDir, //work directory
				   const char *skps_dir);//sketch pursuit directory

#endif

